<?php

/*
'**************************************************************************************************
' 程序名称: CCTVAI开源音乐管理系统
' 官方网站: http://www.cctvai.com
' 联系 Q Q: 1542367792
' QQ交流群：136687984
' 版本：(终结版)
' 备注：未经书面授权，不得向任何第三方提供本软件系统！
' 功能，模板，插件，扩展，定制请联系QQ：1542367792
'**************************************************************************************************
*/
error_reporting(0);
include "conf.inc.php";
if($typeid == "1") {
    $id=$_SERVER['PATH_INFO']; //获得id
    $id=substr($id, 1); // 把斜杠干掉
} else {
    $id=$_GET['id']; //获得id
}
$form=strtolower(trim(substr(strrchr($id, "."), 1))); //获取后缀名
$id=str_replace('.' . $form . '', '', $id); //后缀名
function m_v($id)
{
    $user_agent=$_SERVER['HTTP_USER_AGENT'];
    $ch=curl_init();
    $timeout=30;
    curl_setopt($ch, CURLOPT_URL, $id);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
    @$file=curl_exec($ch);
    curl_close($ch);
    return $file;
}
if(isset($id)) {
    $a=m_v('http://www.yinyuetai.com/insite/get-video-info?flex=true&videoId=' . $id . '');
    if(strstr($a, "he.yinyuetai.com")) {
        preg_match('|http://he.yinyuetai.com/(.*)&br=|U', $a, $b);
        $b="http://he.yinyuetai.com/" . $b[1];
    } else {
        if(strstr($a, "hd.yinyuetai.com")) {
            preg_match('|http://hd.yinyuetai.com/(.*)&br=|U', $a, $b);
            $b="http://hd.yinyuetai.com/" . $b[1];
        } else {
            if(strstr($a, "hc.yinyuetai.com")) {
                preg_match('|http://hc.yinyuetai.com/(.*)&br=|U', $a, $b);
                $b="http://hc.yinyuetai.com/" . $b[1];
            }
        }
    }
    header("Location:$b");
}

?>